<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$tra_id=$_POST['tra_id'];

$can1=mysqli_query($con,"SELECT * FROM trasladoe where tra_id='$tra_id'") or die(mysqli_error($con));  
$dat1=mysqli_fetch_array($can1);
$tra_empresa_d=$dat1['tra_empresa_d'];
$tra_empresa_o=$dat1['tra_empresa_o'];
$tra_bodega_d=$dat1['tra_bodega_d'];
$tra_bodega_o=$dat1['tra_bodega_o'];
$tra_sucursal_d=$dat1['tra_sucursal_d'];

$can4=mysqli_query($con,"SELECT * FROM trasladoe_detalle where trasladoe_tra_id='$tra_id'") or die(mysqli_error($con));  
while($dato4=mysqli_fetch_array($can4))
{ 
    $trad_id=$dato4['trad_id'];
    $trad_art_id=$dato4['trad_art_id'];
    $trad_referencia=$dato4['trad_referencia']; 
    $trad_cantidad=$dato4['trad_cantidad'];            

    // DESCONTAR CANTIDAD ORIGEN
    $can7=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$trad_art_id' and bodegas='$tra_bodega_o' and empresa='$tra_empresa_o'") or die(mysqli_error($con));  
    $dato7=mysqli_fetch_array($can7);
    $articulos_art_id=$dato7['articulos_art_id'];            
    $art_cantidad=$dato7['art_cantidad'];
    $resta=$art_cantidad-$trad_cantidad;

    $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where articulos_art_id='$trad_art_id' and bodegas='$tra_bodega_o' and empresa='$tra_empresa_o'") or die(mysqli_error($con));                                

    // CONSULTAR ID DESTINO
    $can8=mysqli_query($con,"SELECT * FROM articulos WHERE art_referencia='$trad_referencia' and empresa='$tra_empresa_d'") or die(mysqli_error($con)); 
    if($dat8=mysqli_fetch_array($can8)) 
    {
        $art_idd=$dat8['art_id'];
    }
    $resultos_articulos=mysqli_num_rows($can8);


    //MAXIMO ID
    $can9=mysqli_query($con,"SELECT MAX(art_id)as art_id FROM articulos") or die(mysqli_error($con)); 
    $dato9=mysqli_fetch_array($can9); 
    $art_iddd=$dato9['art_id']+1;

    // CONSULTAR ID TARIFAS
    $cang=mysqli_query($con,"SELECT * FROM tarifas where empresa='$tra_empresa_o' and tar_nombre='GENERAL'") or die(mysqli_error($con)); 
    $datog=mysqli_fetch_array($cang); 
    $tar_idg=$datog['tar_id'];

    $cand=mysqli_query($con,"SELECT * FROM tarifas where empresa='$tra_empresa_o' and tar_nombre='ASESOR'") or die(mysqli_error($con)); 
    $datod=mysqli_fetch_array($cand); 
    $tar_idd=$datod['tar_id'];

    $canm=mysqli_query($con,"SELECT * FROM tarifas where empresa='$tra_empresa_o' and tar_nombre='MINIMO'") or die(mysqli_error($con)); 
    $datom=mysqli_fetch_array($canm); 
    $tar_idm=$datom['tar_id'];

    //ID GENERAL DESTINO
    $cangd=mysqli_query($con,"SELECT * FROM tarifas where empresa='$tra_empresa_d' and tar_nombre='GENERAL'") or die(mysqli_error($con)); 
    $datogd=mysqli_fetch_array($cangd); 
    $tar_idgd=$datogd['tar_id'];
    //ID ASESOR DESTINO
    $candd=mysqli_query($con,"SELECT * FROM tarifas where empresa='$tra_empresa_d' and tar_nombre='ASESOR'") or die(mysqli_error($con)); 
    $datodd=mysqli_fetch_array($candd); 
    $tar_iddd=$datodd['tar_id'];
    //ID MINIMO DESTINO
    $canmd=mysqli_query($con,"SELECT * FROM tarifas where empresa='$tra_empresa_d' and tar_nombre='MINIMO'") or die(mysqli_error($con)); 
    $datomd=mysqli_fetch_array($canmd); 
    $tar_idmd=$datomd['tar_id'];

    //CONSULTAR TODA LA INFO
    $can10=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$trad_art_id' and  empresa='$tra_empresa_o'") or die(mysqli_error($con));
    $dat10=mysqli_fetch_array($can10);
    $art_id=$dat10['art_id'];
    $art_referencia=$dat10['art_referencia'];
    $art_barras=$dat10['art_barras'];
    $art_nombre=$dat10['art_nombre'];
    $art_precio_costo=$dat10['art_precio_costo'];
    $art_pvp=$dat10['art_pvp'];
    $art_utilidad=$dat10['art_utilidad'];
    $art_iva=$dat10['art_iva'];
    $art_tipo_imp=$dat10['art_tipo_imp'];
    $familias_fam_id=$dat10['familias_fam_id'];
    $proveedor_pro_id=$dat10['proveedor_pro_id'];

    // general origen
    $cang=mysqli_query($con,"SELECT * FROM precio where tarifas_tar_id='$tar_idg' and articulos_art_id='$art_id'") or die(mysqli_error($con)); 
    $datog=mysqli_fetch_array($cang); 
    $pre_preciog=$datog['pre_precio'];

    // asesor origen
    $cand=mysqli_query($con,"SELECT * FROM precio where tarifas_tar_id='$tar_idd' and articulos_art_id='$art_id'") or die(mysqli_error($con)); 
    $datod=mysqli_fetch_array($cand); 
    $pre_preciod=$datod['pre_precio'];

    // minimo origen
    $canm=mysqli_query($con,"SELECT * FROM precio where tarifas_tar_id='$tar_idm' and articulos_art_id='$art_id'") or die(mysqli_error($con)); 
    $datom=mysqli_fetch_array($canm); 
    $pre_preciom=$datom['pre_precio'];

    //familia origen
    $canz1=mysqli_query($con,"SELECT * FROM familias where fam_id='$familias_fam_id' and empresa='$tra_empresa_o'") or die(mysqli_error($con)); 
    $datz1=mysqli_fetch_array($canz1); 
    $fam_nombre=$datz1['fam_nombre'];

    $canz=mysqli_query($con,"SELECT * FROM familias where fam_nombre='$fam_nombre' and empresa='$tra_empresa_d'") or die(mysqli_error($con));
    if($datz=mysqli_fetch_array($canz)) 
    {
        $fam_idd=$datz['fam_id'];
    }
    else
    {
        $canaa=mysqli_query($con,"SELECT MAX(fam_id)as fam_id FROM familias") or die(mysqli_error($con)); 
        $datoaa=mysqli_fetch_array($canaa); 
        $fam_idd=$datoaa['fam_id']+1;

        $sqlf="INSERT into familias (fam_id,fam_nombre,empresa) VALUES ('$fam_idd','$fam_nombre','$tra_empresa_d')";mysqli_query($con, $sqlf);
    }

    //proveedor  
    $canz=mysqli_query($con,"SELECT * FROM proveedor where  pro_id='$proveedor_pro_id' and empresa='$tra_empresa_o'") or die(mysqli_error($con)); 
    $datz=mysqli_fetch_array($canz); 
    $pro_nit=$datz['pro_nit'];
    $pro_nombre=$datz['pro_nombre'];

    $canz=mysqli_query($con,"SELECT * FROM proveedor where pro_nit='$pro_nit' and empresa='$tra_empresa_d'") or die(mysqli_error($con)); 
    if($datz=mysqli_fetch_array($canz)) 
    {
        $pro_idd=$datz['pro_id'];
    }
    else
    {
        $canaa=mysqli_query($con,"SELECT MAX(pro_id)as pro_id FROM proveedor") or die(mysqli_error($con)); 
        $datoaa=mysqli_fetch_array($canaa); 
        $pro_idd=$datoaa['pro_id']+1;

        $sqlf="INSERT into proveedor (pro_id,pro_nit,pro_nombre,empresa) 
        VALUES ('$pro_idd','$pro_nit','$pro_nombre','$tra_empresa_d')";mysqli_query($con, $sqlf);
    }
    

    //articulo
    if($resultos_articulos==0)
    {  
        $cand=mysqli_query($con,"SELECT MAX(art_id)as art_idb FROM articulos_has_bodegas") or die(mysqli_error($con)); 
        $datod=mysqli_fetch_array($cand);
        $art_idb=$datod['art_idb']+1;

        $sql10 = "INSERT INTO articulos (art_id,art_referencia,art_barras,art_nombre,art_precio_costo,art_pvp,art_utilidad,art_iva,art_tipo_imp,art_estado,art_tipo,familias_fam_id,proveedor_pro_id,marca_mar_id,ubicacion_ubi_id,empresa) 
        VALUES ('$art_iddd','$art_referencia','$art_barras','$art_nombre','$art_precio_costo','$art_pvp','$art_utilidad','$art_iva','$art_tipo_imp','Activo','articulo','$fam_idd','$pro_idd','2','2','$tra_empresa_d') ";mysqli_query($con, $sql10);

        $sql11 = "INSERT INTO articulos_has_bodegas (art_id,articulos_art_id,art_cantidad,bodegas,sucursal,empresa)  
                      VALUES ('$art_idb','$art_iddd','$trad_cantidad','$tra_bodega_d','$tra_sucursal_d','$tra_empresa_d') ";mysqli_query($con, $sql11);  
        $sql12="INSERT INTO precio (pre_precio,tarifas_tar_id,articulos_art_id,empresa) VALUES('$pre_preciog','$tar_idgd','$art_iddd','$tra_empresa_d') ";mysqli_query($con, $sql12);        
        $sql13="INSERT INTO precio (pre_precio,tarifas_tar_id,articulos_art_id,empresa) VALUES('$pre_preciod','$tar_iddd','$art_iddd','$tra_empresa_d') ";mysqli_query($con, $sql13);        
        $sql14="INSERT INTO precio (pre_precio,tarifas_tar_id,articulos_art_id,empresa) VALUES('$pre_preciom','$tar_idmd','$art_iddd','$tra_empresa_d') ";mysqli_query($con, $sql14);        
        

        $can11=mysqli_query($con,"SELECT * FROM serial_trasladoe where trasladoe_detalle_trad_id ='$trad_id '") or die(mysqli_error($con));  
        while($ser=mysqli_fetch_array($can11))
        {
            $sert_codigo=$ser['sert_codigo'];
            $can13=mysqli_query($con,"INSERT INTO seriales_articulos (se_codigo,estado,articulos_art_id) 
                     VALUES ('$sert_codigo','sin vender','$art_iddd')") or die(mysqli_error($con));  

            $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='traslado' Where articulos_art_id='$articulos_art_id' and se_codigo='$sert_codigo'") or die(mysqli_error($con));
        } 

    }
    else
    {
        $can14=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$art_idd' and bodegas='$tra_bodega_d' and empresa='$tra_empresa_d'") or die(mysqli_error($con));  
        $dat14=mysqli_fetch_array($can14);
        $articulos_art_id=$dat14['articulos_art_id'];            
        $art_cantidad=$dat14['art_cantidad'];
        $suma=$art_cantidad+$trad_cantidad;

        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' 
                                      WHERE articulos_art_id='$art_idd' and bodegas='$tra_bodega_d' and empresa='$tra_empresa_d'") or die(mysqli_error($con));

        if($tra_empresa_o==1)
        {
            $registros=mysqli_query($con,"UPDATE articulos Set 
                                      art_nombre='$art_nombre',
                                      art_precio_costo='$art_precio_costo',
                                      art_pvp='$art_pvp',
                                      art_utilidad='$art_utilidad',
                                      familias_fam_id='$fam_idd',
                                      proveedor_pro_id='$pro_idd'
                                      Where art_id='$art_idd' and empresa='$tra_empresa_d' ") or die(mysqli_error($con));
               
           
            $pre1=mysqli_query($con,"UPDATE precio Set 
                                          pre_precio='$pre_preciog'
                                          WHERE articulos_art_id='$art_idd' and empresa='$tra_empresa_d' and tarifas_tar_id='$tar_idgd'") or die(mysqli_error($con));
            $pre2=mysqli_query($con,"UPDATE precio Set 
                                          pre_precio='$pre_preciod'
                                          WHERE articulos_art_id='$art_idd' and empresa='$tra_empresa_d' and tarifas_tar_id='$tar_iddd'") or die(mysqli_error($con));
            $pre3=mysqli_query($con,"UPDATE precio Set 
                                          pre_precio='$pre_preciom'
                                          WHERE articulos_art_id='$art_idd' and empresa='$tra_empresa_d' and tarifas_tar_id='$tar_idmd'") or die(mysqli_error($con));
        }
       

        // seriales 
        $can15=mysqli_query($con,"SELECT * FROM serial_trasladoe where trasladoe_detalle_trad_id='$trad_id'") or die(mysqli_error($con));  
        while($ser=mysqli_fetch_array($can15))
        {
            $sert_codigo=$ser['sert_codigo'];
            $can17=mysqli_query($con,"INSERT INTO seriales_articulos (se_codigo,estado,articulos_art_id) 
                        VALUES ('$sert_codigo','sin vender','$art_idd')") or die(mysqli_error($con));  

            $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='traslado' Where articulos_art_id='$trad_art_id' and se_codigo='$sert_codigo'") or die(mysqli_error($con));
        } 
    }
    $est=mysqli_query($con,"UPDATE trasladoe Set tra_estado='Aceptado' Where tra_id='$tra_id'") or die (mysqli_error($con));

    echo '<div class="alert alert-info alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Traslado!</strong> Aceptado correctamente.
    </div>'; 
}
?>